# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "dharitri-sc-snippets"
version = "1.6.2"
authors = ["contact@dharitri.org"]
description = "DharitrI framework for building smart contract interaction snippets"
homepage = "https://dharitri.org/"
documentation = "https://docs.dharitri.org/"
readme = "README.md"
keywords = [
    "dharitri",
    "blockchain",
    "contract",
    "snippets",
]
categories = ["cryptography::cryptocurrencies"]
license = "GPL-3.0-only"
repository = "https://github.com/TerraDharitri/drt-rs-sdk"

[dependencies.base64]
version = "0.13.0"

[dependencies.bstr]
version = "=1.6.2"

[dependencies.clap]
version = "=4.4.7"

[dependencies.dharitri-sc-scenario]
version = "=1.6.2"

[dependencies.dharitri-sdk]
version = "=1.6.2"

[dependencies.env_logger]
version = "0.10"

[dependencies.futures]
version = "0.3"

[dependencies.hex]
version = "0.4"

[dependencies.log]
version = "0.4.17"

[dependencies.native-tls]
version = "=0.2.7"

[dependencies.tokio]
version = "1.24"
features = ["full"]

[dependencies.url]
version = "=2.2.0"
